> ## Documentation Index
> Fetch the complete documentation index at: https://docs.xenia.team/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Location Levels

> Fetches all location levels associated with a specific workspace. These levels determine the hierarchy of physical locations.



## OpenAPI

````yaml GET /api/v1/mgt/workspaces/{workspaceId}/location-levels
openapi: 3.1.0
info:
  title: Xenia Team API - Get Location Levels
  description: >-
    Returns the list of location levels defined for a workspace. Each level
    defines a structural layer such as Country, Province, City, etc.
  version: 1.0.0
servers:
  - url: https://api.xenia.team
security: []
paths:
  /api/v1/mgt/workspaces/{workspaceId}/location-levels:
    get:
      tags:
        - Location Levels
      summary: Get Location Levels for Workspace
      description: >-
        Fetches all location levels associated with a specific workspace. These
        levels determine the hierarchy of physical locations.
      parameters:
        - name: workspaceId
          in: path
          required: true
          description: UUID of the workspace.
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: Location levels fetched successfully.
          content:
            application/json:
              example:
                data:
                  - id: d2518ebe-c546-4404-adb6-8598906ffd77
                    HotelId: cb363f7e-c52a-4478-911d-f6a6f791090e
                    title: Country
                    isSite: false
                    order: 1
                    CreatedBy: dfea8b8a-5b22-4668-b68d-dc641eb3a101
                    UpdatedBy: dfea8b8a-5b22-4668-b68d-dc641eb3a101
                    createdAt: '2024-08-08T10:04:42.957Z'
                    updatedAt: '2024-10-28T15:21:33.023Z'
                    deletedAt: null
                  - id: 98329f39-e263-484d-8fa7-e951fcddb9c1
                    HotelId: cb363f7e-c52a-4478-911d-f6a6f791090e
                    title: Store
                    isSite: true
                    order: 4
                    CreatedBy: dfea8b8a-5b22-4668-b68d-dc641eb3a101
                    UpdatedBy: e25dd448-7ae7-4588-8767-7e1a316547e5
                    createdAt: '2024-09-01T15:47:51.538Z'
                    updatedAt: '2025-04-16T14:16:41.328Z'
                    deletedAt: null
                extra_meta:
                  message: ''
        '400':
          description: Bad Request - Invalid workspace ID format.
        '401':
          description: Unauthorized - Missing or invalid authentication.
        '403':
          description: Forbidden - Insufficient permissions to access location levels.
        '404':
          description: Not Found - Workspace does not exist.
        '500':
          description: Internal Server Error.
      security:
        - clientKey: []
          clientSecret: []
components:
  securitySchemes:
    clientKey:
      type: apiKey
      in: header
      name: x-client-key
    clientSecret:
      type: apiKey
      in: header
      name: x-client-secret

````